<?php

namespace Drupal\Tests\config_enforce\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Assert that we can create computed fields of each type.
 *
 * For example, if parts of the config schemas for computed_field's basic
 * settings, or any of the fields it provides are missing, then the
 * computed_field_test module will not install correctly. Note that Unit and
 * Kernel tests don't fully install the module.
 *
 * This test can be deleted as soon as there other Functional or
 * FunctionalJavascript tests that create fields of each type provided by this
 * module.
 *
 * @group computed_field
 */
class ConfigEnforceConfigSchemaTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['config_enforce_test'];

  /**
   * Assert that the computed_field_test module installed correctly.
   */
  public function testConfigInstalls() {
    // If we get here, then the computed_field_test module was successfully
    // installed during the setUp phase without throwing any Exceptions. Since
    // this module defines a field of each type that the computed_field module
    // provides, this tests that the schemas are properly defined. So, assert
    // that TRUE is true, so at least one assertion runs, and then exit.
    $this->assertTrue(TRUE, 'Module installed correctly.');
  }
}
